package com.ejie.ab39a.context;


import org.apache.commons.dbcp.BasicDataSource;

/**
 * Bean especifico que acepta un objeto DataBaseInfo, el cual almacena los datos de la cadena de conexion: <i>BD</i>, <i>USER</i> y <i>PASSWORD</i>.<br/>
 * Utiliza el driver OCI para especificar una entrada (<i>BD</i>) desde el TNSNames.
 * 
 *  
 *
 */
public class CustomDataSource extends BasicDataSource {



	/**
	 * Asigna los valores url, username y password, desde el objeto dataBaseInfo.
	 * 
	 * @param dataBaseInfo DataBaseInfo
	 */
	public void setDataBaseInfo(DataBaseInfo dataBaseInfo) {
		this.url = new StringBuilder().append("jdbc:oracle:oci:@").append(dataBaseInfo.getBd()).toString();
		this.username = dataBaseInfo.getUser();
		this.password = dataBaseInfo.getPassword();
	}
}